package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.custom.login.delete.record.CustomLoginDeleteRecordAddEntity;
import com.crm.rely.backend.core.pojo.table.CustomLoginMarkDeleteTable;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
public interface CustomLoginMarkDeleteMapper{

    List<Long> getNotActivateLoginList(@Param("platform")String platform);

    void batchUpdateCustomlogin(@Param("loginList") List<Long> loginList, @Param("del") boolean del, @Param("markDelTime") Date delTime,@Param("platform")String platform);

    List<Long> getPositionLoginList(@Param("platform") String platform);

    List<Long> getPendingLoginList(@Param("platform") String platform);

    List<Long> getHistoryLoginList(@Param("month1") String month1, @Param("month2") String month2, @Param("month3") String month3, @Param("month4") String month4, @Param("month5") String month5, @Param("month6") String month6, @Param("month7") String month7, @Param("platform") String platform);

    List<Long> getDwTradeLoginList(@Param("platform") String platform);

    List<Long> getBalanceLoginList(@Param("loginList") List<Long> loginList,@Param("platform") String platform);

    List<CustomLoginMarkDeleteTable> getNotTradeLoginList(@Param("loginList") List<Long> loginList,@Param("platform") String platform);

    List<Long> getCustomLoginMarkDeleteList(@Param("platform") String platform);

    void delCustomloginMarkDelete(@Param("delMarkList")List<Long> delMarkList,@Param("platform") String platform);

    List<Long> getCustomLoginFormalDeleteList(@Param("platform") String platform);

    void batchUpdateCustomloginMarkFormalDel(@Param("formalDelList")List<Long> formalDelList,@Param("platform") String platform);

    List<CustomLoginDeleteRecordAddEntity> getCustomloginList(@Param("formalDelList")List<Long> formalDelList,@Param("platform") String platform);

    CustomLoginMarkDeleteTable getCustomLoginMarkDeleteByLogin(@Param("login")Long login,@Param("platform") String platform);

    List<Long> getCustomLoginDeleteExclude(@Param("platform") String platform);

}
